# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes.MatchNode

Packages that use MatchNode
Package
Description
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

## Uses of MatchNode in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return MatchNode
Modifier and Type
Method
Description
`protected MatchNode`
BasicDifferenceGroupImpl.`buildTree(Match match)`
Compute a tree for the given match.
`protected MatchNode`
BasicDifferenceGroupImpl.`createMatchNode(Match match)`
Create a match node.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type MatchNode
Modifier and Type
Method
Description
`protected void`
BasicDifferenceGroupImpl.`addDiffNode(MatchNode matchNode, Diff diff)`
Add the diff in the given match.
`protected void`
ThreeWayComparisonGroupProvider.ConflictsGroupImpl.`addDiffNode(MatchNode matchNode, Diff diff)`
In the conflicts group, we want to be able to see the ResourceAttachmentChanges.
`protected void`
BasicDifferenceGroupImpl.`populateMatchNode(MatchNode matchNode)`
Build the subtree for the given match.

## Uses of MatchNode in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes that return types with arguments of type MatchNode
Modifier and Type
Method
Description
`Iterable<MatchNode>`
ConflictNode.`getConflictingTrees()`
Get all the match trees that are part of the conflict
`Iterable<MatchNode>`
MatchResourceNode.`getMatches()`
Get all the match trees that are part of the MatchResource
`Iterable<MatchNode>`
MatchNode.`getSubMatchNodes()`
Get all the match trees that are submatches of the match
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes with parameters of type MatchNode
Modifier and Type
Method
Description
`boolean`
ConflictNode.`addConflictingTree(MatchNode matchNode)`
Add the given MatchNode to the children of this ConflictNode.
`boolean`
MatchResourceNode.`addMatchNode(MatchNode matchNode)`
Add the given MatchNode to the children of this MatchResourceNode.
`boolean`
MatchNode.`addSubMatchNode(MatchNode matchNode)`
Add the given MatchNode to the children of this MatchNode.
`boolean`
ConflictNode.`removeConflictingTree(MatchNode matchNode)`
Remove the given MatchNode of the children of this ConflictNode.
`boolean`
MatchResourceNode.`removeMatchNode(MatchNode matchNode)`
Remove the given MatchNode of the children of this MatchResourceNode.
`boolean`
MatchNode.`removeSubMatchNode(MatchNode matchNode)`
Remove the given MatchNode of the children of this MatchNode.